React Stacked column chart is a chart with X values stacked over one another in the series order. Shows the relation between individual values to the total sum of the points.
Allows you to plot multiple series in a single chart to compare different data sets. Enabling legend and tooltip gives more information about the individual series.
Marks data points with built-in shapes such as circles, rectangles, ellipses, vertical lines, horizontal lines, diamonds, triangles, and pentagons. In addition to these shapes, use images to make the point more attractive.
Data labels display information about data points. Add a template to display data labels with HTML elements such as images, DIV, and spans for more informative data labels. You can rotate a data label by its given angle.
Use multiple axes to plot different data sets that widely vary from one other.
Allows grouping a series with another series separately using a different group name.
The stacked column chart provides an option to customize spacing between two columns and the width of the column.
Modernize the UI by applying rounded corners to the stacked column
Customize the look and feel of the stacked column chart using built-in APIs.
import {AxisModel,Category,ChartComponent,Inject,SeriesCollectionDirective, SeriesDirective, StackingColumnSeries} from'@syncfusion/ej2-react-charts';
import * as React from 'react';
class App extends React.Component<{}, {}> {
public primaryXAxis: AxisModel = { valueType: 'Category'};
public data1: any[]= [
{ x: '2014', y: 111.1 },
{ x: '2015', y: 127.3 },
{ x: '2016', y: 143.4 },
{ x: '2017', y: 159.9 }];
public data2: any[]= [
{ x: '2014', y: 76.9 },
{ x: '2015', y: 99.5 },
{ x: '2016', y: 121.7 },
{ x: '2017', y: 142.5 }];
public render() {
return <ChartComponent id='charts' primaryXAxis={this.primaryXAxis}>
<Inject services={[StackingColumnSeries, Category]} />
<SeriesCollectionDirective>
<SeriesDirective dataSource={this.data1} xName='x' yName='y' type='StackingColumn'/>
<SeriesDirective dataSource={this.data2} xName='x' yName='y' type='StackingColumn'/>
</SeriesCollectionDirective>
</ChartComponent>
}
};
ReactDOM.render(
<App />,
document.getElementById('charts') as HTMLElement
);
<!DOCTYPE html>
<html>
<body>
<div id="charts"></div>
</body>
</html>
Stacked Column Chart User Guide
Learn the available options to customize React stacked column chart.

Angular Stacked column charts are charts with X values stacked over one another in the series order. Shows the relation between individual values to the total sum of the points.
Allows you to plot multiple series in a single chart to compare different data sets. Enabling legend and tooltip gives more information about the individual series.
Marks data points with built-in shapes such as circles, rectangles, ellipses, vertical lines, horizontal lines, diamonds, triangles, and pentagons. In addition to these shapes, use images to make the point more attractive.
Data labels display information about data points. Add a template to display data labels with HTML elements such as images, DIV, and spans for more informative data labels. You can rotate a data label by its given angle.
Use multiple axes to plot different data sets that widely vary from one other.
Allows grouping a series with another series separately using a different group name.
The stacked column chart provides an option to customize spacing between two columns and the width of the column.
Modernize the UI by applying rounded corners to the stacked column
Customize the look and feel of the stacked column chart using built-in APIs.
<ejs-chart style='display:block' id='chartcontainer' [primaryXAxis]='primaryXAxis'>
<e-series-collection>
<e-series [dataSource]='data' type='StackingColumn' xName='x' yName='y'> </e-series>
<e-series [dataSource]='data1' type='StackingColumn' xName='x' yName='y'> </e-series>
</e-series-collection>
</ejs-chart>
//app.component.ts
import { Component } from '@angular/core';
export class AppComponent {
public data: Object[] = [
{ x: '2014', y: 111.1 },
{ x: '2015', y: 127.3 },
{ x: '2016', y: 143.4 },
{ x: '2017', y: 159.9 }];
public data1: Object[] = [
{ x: '2014', y: 76.9 },
{ x: '2015', y: 99.5 },
{ x: '2016', y: 121.7 },
{ x: '2017', y: 142.5 }];
//Initializing Primary X Axis
public primaryXAxis: Object = {
valueType: 'Category',
};
}
//app.module.ts
import { ChartModule } from '@syncfusion/ej2-ng-charts';
import { StackingColumnSeries, CategoryService} from '@syncfusion/ej2-ng-charts';
import { AppComponent } from './app.component';
@NgModule({
declarations: [
AppComponent
],
imports: [
BrowserModule, ChartModule
],
providers: [ StackingColumnSeries, CategoryService],
bootstrap: [AppComponent]
})
export class AppModule { }
Stacked Column Chart User Guide
Learn the available options to customize Angular stacked column chart.